Package org.pushingpixels.lafwidget.contrib.blogofbug.swing.components

# Class JCarouselMenu.MenuItem

java.lang.Object
org.pushingpixels.lafwidget.contrib.blogofbug.swing.components.JCarouselMenu.MenuItem

Enclosing class:
  `JCarouselMenu`

public class JCarouselMenu.MenuItem extends Object
A menu item inside the carousel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Action`
`action`
An associated action
`protected Component`
`carouselComponent`
The component inside the caroulse
`protected String`
`label`
The text label

## Constructor Summary

Constructors
Constructor
Description
`MenuItem(Component component, String label, Action action)`
Creates a new instance of the menu item

## Method Summary

Modifier and Type
Method
Description
`Action`
`getAction()`
Gets the action associated with the entry
`Component`
`getCarouselComponent()`
Gets the component in the carousel associated with the entry
`String`
`getLabel()`
Retreives the label associated with the entry

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### carouselComponent

protected Component carouselComponent
The component inside the caroulse

### label

protected String label
The text label

### action

protected Action action
An associated action

## Constructor Details

### MenuItem

public MenuItem(Component component, String label, Action action)
Creates a new instance of the menu item

Parameters:
  `component` - The component to use
  `label` - The text label
  `action` - The associated action

## Method Details

### getLabel

public String getLabel()
Retreives the label associated with the entry

Returns:
  The label

### getAction

public Action getAction()
Gets the action associated with the entry

Returns:
  The action associated with the entry

### getCarouselComponent

public Component getCarouselComponent()
Gets the component in the carousel associated with the entry

Returns:
  The component